{
  "version": "1.0.0",
  "configurations": [
    {
      "name": "Run Django Server",
      "type": "debugpy",
      "request": "launch",
      "program": "${workspaceFolder}/manage.py",
      "args": ["runserver"],
      "django": true,
      "justMyCode": true,
      "env": {
        "PYTHONPATH": "${workspaceFolder}${pathSeparator}${env:PYTHONPATH}",
        "DJANGO_SETTINGS_MODULE": "django_project.settings"
      }
    },
    {
      "name": "Collect Static Files",
      "type": "debugpy",
      "request": "launch",
      "program": "${workspaceFolder}/manage.py",
      "args": ["collectstatic", "--no-input"],
      "django": true,
      "justMyCode": true,
      "env": {
        "PYTHONPATH": "${workspaceFolder}${pathSeparator}${env:PYTHONPATH}",
        "DJANGO_SETTINGS_MODULE": "django_project.settings"
      }
    },
    {
      "name": "Make Migrations",
      "type": "debugpy",
      "request": "launch",
      "program": "${workspaceFolder}/manage.py",
      "args": ["makemigrations"],
      "django": true,
      "justMyCode": true,
      "env": {
        "PYTHONPATH": "${workspaceFolder}${pathSeparator}${env:PYTHONPATH}",
        "DJANGO_SETTINGS_MODULE": "django_project.settings"
      }
    },
    {
      "name": "Apply Migrations",
      "type": "debugpy",
      "request": "launch",
      "program": "${workspaceFolder}/manage.py",
      "args": ["migrate"],
      "django": true,
      "justMyCode": true,
      "env": {
        "PYTHONPATH": "${workspaceFolder}${pathSeparator}${env:PYTHONPATH}",
        "DJANGO_SETTINGS_MODULE": "django_project.settings"
      }
    },
    {
      "name": "Create Super User",
      "type": "debugpy",
      "request": "launch",
      "program": "${workspaceFolder}/manage.py",
      "args": ["createsuperuser"],
      "django": true,
      "justMyCode": true,
      "env": {
        "PYTHONPATH": "${workspaceFolder}${pathSeparator}${env:PYTHONPATH}",
        "DJANGO_SETTINGS_MODULE": "django_project.settings"
      }
    }
  ]
}
